Summary: a minimalistic mailing list manager
Name: minordomo
Version: 0.7
Vendor: NoDomainName Networks
Copyright: GPL
Release: 1
Group: Networking
BuildArchitectures: noarch
Packager: Jakob Kaivo <jake@nodomainname.net>
Source0: ftp://ftp.nodomainname.net/pub/%{name}/current/%{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
Minordomo is a minimalistic replacement for majordomo. It supports a limited
number of commands to avoid complexity. A mailing list is available by sending
a message with a subject of "subscribe minordomo-list" to
minordomo@nodomainname.net.

%prep
%setup
%build

%install
mkdir -p $RPM_BUILD_ROOT/etc/smrsh
mkdir -p $RPM_BUILD_ROOT/var/lib/minordomo
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/home/httpd/cgi-bin
chown -R mail.mail $RPM_BUILD_ROOT/var/lib/minordomo
cp minordomo.conf.sample $RPM_BUILD_ROOT/etc/minordomo.conf
install -m 0755 -o 0 -o 0 minordomo.pl $RPM_BUILD_ROOT/usr/sbin
install -m 0755 -o 0 -o 0 minorweb.pl $RPM_BUILD_ROOT/home/httpd/cgi-bin
cd $RPM_BUILD_ROOT/etc/smrsh && ln -sf ../../usr/sbin/minordomo.pl .

%files
%doc COPYING README CHANGELOG
%doc libdir
%config /etc/minordomo.conf
%attr(0755,mail,mail) %dir /var/lib/minordomo
/usr/sbin/minordomo.pl
/home/httpd/cgi-bin/minorweb.pl
/etc/smrsh/minordomo.pl
